import { ElementRef, ViewContainerRef, Renderer2 } from '@angular/core';
import { IComponentBase } from '@syncfusion/ej2-ng-base';
import { PivotFieldList } from '@syncfusion/ej2-pivotview';
export declare const inputs: string[];
export declare const outputs: string[];
export declare const twoWays: string[];
/**
 * `ej-pivotfieldlist` represents the Angular PivotFieldList Component.
 * ```html
 * <ej-pivotfieldlist></ej-pivotfieldlist>
 * ```
 */
export declare class PivotFieldListComponent extends PivotFieldList implements IComponentBase {
    private ngEle;
    private srenderer;
    private viewContainerRef;
    constructor(ngEle: ElementRef, srenderer: Renderer2, viewContainerRef: ViewContainerRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    ngAfterContentChecked(): void;
    registerEvents: (eventList: string[]) => void;
    addTwoWay: (propList: string[]) => void;
}
