import { ElementRef, ViewContainerRef, Renderer2, ValueProvider } from '@angular/core';
import { IComponentBase } from '@syncfusion/ej2-ng-base';
import { PivotView, GroupingBar, FieldList, CalculatedField } from '@syncfusion/ej2-pivotview';
export declare const inputs: string[];
export declare const outputs: string[];
export declare const twoWays: string[];
/**
 * `ej-pivotview` represents the Angular PivotView Component.
 * ```html
 * <ej-pivotview></ej-pivotview>
 * ```
 */
export declare class PivotViewComponent extends PivotView implements IComponentBase {
    private ngEle;
    private srenderer;
    private viewContainerRef;
    datasourceChange: any;
    constructor(ngEle: ElementRef, srenderer: Renderer2, viewContainerRef: ViewContainerRef, groupingBar: GroupingBar, fieldList: FieldList, calculatedField: CalculatedField);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    ngAfterContentChecked(): void;
    registerEvents: (eventList: string[]) => void;
    addTwoWay: (propList: string[]) => void;
}
export declare const GroupingBarService: ValueProvider;
export declare const FieldListService: ValueProvider;
export declare const CalculatedFieldService: ValueProvider;
