var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Component, ElementRef, ViewContainerRef, ChangeDetectionStrategy, Renderer2 } from '@angular/core';
import { ComponentBase, applyMixins, setValue } from '@syncfusion/ej2-ng-base';
import { PivotFieldList } from '@syncfusion/ej2-pivotview';
export var inputs = ['allowCalculatedField', 'cssClass', 'dataSource', 'enablePersistence', 'enableRtl', 'locale', 'renderMode', 'target'];
export var outputs = ['created', 'dataBound', 'destroyed', 'enginePopulated', 'enginePopulating', 'load'];
export var twoWays = [''];
/**
 * `ej-pivotfieldlist` represents the Angular PivotFieldList Component.
 * ```html
 * <ej-pivotfieldlist></ej-pivotfieldlist>
 * ```
 */
var PivotFieldListComponent = /** @class */ (function (_super) {
    __extends(PivotFieldListComponent, _super);
    function PivotFieldListComponent(ngEle, srenderer, viewContainerRef) {
        var _this = _super.call(this) || this;
        _this.ngEle = ngEle;
        _this.srenderer = srenderer;
        _this.viewContainerRef = viewContainerRef;
        _this.element = _this.ngEle.nativeElement;
        _this.injectedModules = _this.injectedModules || [];
        for (var i = 3; i < arguments.length; i++) {
            var injectedObj = arguments[i];
            if (injectedObj) {
                _this.injectedModules.push(injectedObj);
            }
        }
        _this.registerEvents(outputs);
        _this.addTwoWay.call(_this, twoWays);
        setValue('currentInstance', _this, _this.viewContainerRef);
        return _this;
    }
    PivotFieldListComponent.prototype.ngOnInit = function () {
    };
    PivotFieldListComponent.prototype.ngAfterViewInit = function () {
    };
    PivotFieldListComponent.prototype.ngOnDestroy = function () {
    };
    PivotFieldListComponent.prototype.ngAfterContentChecked = function () {
    };
    PivotFieldListComponent.decorators = [
        { type: Component, args: [{
                    selector: 'ejs-pivotfieldlist',
                    inputs: inputs,
                    outputs: outputs,
                    template: '',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    queries: {}
                },] },
    ];
    /** @nocollapse */
    PivotFieldListComponent.ctorParameters = function () { return [
        { type: ElementRef, },
        { type: Renderer2, },
        { type: ViewContainerRef, },
    ]; };
    return PivotFieldListComponent;
}(PivotFieldList));
export { PivotFieldListComponent };
applyMixins(PivotFieldListComponent, [ComponentBase]);
//# sourceMappingURL=pivotfieldlist.component.js.map